org.apache.solr.handler.dataimport

## Class SimplePropertiesWriter

- java.lang.Object
- - org.apache.solr.handler.dataimport.DIHProperties
  - - org.apache.solr.handler.dataimport.SimplePropertiesWriter

- Direct Known Subclasses:
    ZKPropertiesWriter

      public class SimplePropertiesWriter
      extends DIHProperties

  Writes properties using `Properties.store(java.io.Writer, java.lang.String)` . The special property "last_index_time" is converted to a formatted date. Users can configure the location, filename, locale and date format to use.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `configDir`
    `static String` | `DATE_FORMAT` The date format to use when writing values for "last_index_time" to the properties file.
    `protected SimpleDateFormat` | `dateFormat`
    `static String` | `DIRECTORY` The directory to save the properties file in.
    `protected String` | `filename`
    `static String` | `FILENAME` The filename to save the properties file to.
    `protected Locale` | `locale`
    `static String` | `LOCALE` The locale to use when writing the properties file.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePropertiesWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertDateToString(Date d)`
    `protected Date` | `convertStringToDate(String s)`
    `protected void` | `findDirectory(DataImporter dataImporter, Map<String,String> params)`
    `void` | `init(DataImporter dataImporter, Map<String,String> params)`
    `boolean` | `isWritable()`
    `protected Properties` | `mapToProperties(Map<String,Object> propObjs)` `DocBuilder` sends the date as an Object because this class knows how to convert it to a String
    `void` | `persist(Map<String,Object> propObjs)`
    `protected Map<String,Object>` | `propertiesToMap(Properties p)` We'll send everything back as Strings as this class has already converted them.
    `Map<String,Object>` | `readIndexerProperties()`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.DIHProperties

      `getCurrentTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filename

          protected String filename

    - #### configDir

          protected String configDir

    - #### locale

          protected Locale locale

    - #### dateFormat

          protected SimpleDateFormat dateFormat

    - #### LOCALE

          public static final String LOCALE

      The locale to use when writing the properties file. Default is `Locale.ROOT`
      See Also:
        Constant Field Values

    - #### DATE_FORMAT

          public static final String DATE_FORMAT

      The date format to use when writing values for "last_index_time" to the properties file. See `SimpleDateFormat` for patterns. Default is yyyy-MM-dd HH:mm:ss .
      See Also:
        Constant Field Values

    - #### DIRECTORY

          public static final String DIRECTORY

      The directory to save the properties file in. Default is the current core's "config" directory.
      See Also:
        Constant Field Values

    - #### FILENAME

          public static final String FILENAME

      The filename to save the properties file to. Default is this Handler's name from solrconfig.xml.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimplePropertiesWriter

          public SimplePropertiesWriter()

  - ### Method Detail

    - #### init

          public void init(DataImporter dataImporter,
                           Map<String,String> params)

      Specified by:
        `init` in class `DIHProperties`

    - #### findDirectory

          protected void findDirectory(DataImporter dataImporter,
                                       Map<String,String> params)

    - #### isWritable

          public boolean isWritable()

      Specified by:
        `isWritable` in class `DIHProperties`

    - #### convertDateToString

          public String convertDateToString(Date d)

      Specified by:
        `convertDateToString` in class `DIHProperties`

    - #### convertStringToDate

          protected Date convertStringToDate(String s)

    - #### mapToProperties

          protected Properties mapToProperties(Map<String,Object> propObjs)

      `DocBuilder` sends the date as an Object because this class knows how to convert it to a String

    - #### propertiesToMap

          protected Map<String,Object> propertiesToMap(Properties p)

      We'll send everything back as Strings as this class has already converted them.

    - #### persist

          public void persist(Map<String,Object> propObjs)

      Specified by:
        `persist` in class `DIHProperties`

    - #### readIndexerProperties

          public Map<String,Object> readIndexerProperties()

      Specified by:
        `readIndexerProperties` in class `DIHProperties`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.